Bug 1107894 - CVE-2014-3248 mcollective: puppet: Ruby modules could be loaded from the current working directory [epel-all]
Summary: CVE-2014-3248 mcollective: puppet: Ruby modules could be loaded from the curr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mcollective
Version: el6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2014-3248
TreeView+ depends on / blocked
 
Reported: 2014-06-11 01:09 UTC by Murray McAllister
Modified: 2015-01-04 22:40 UTC (History)
4 users (show)

Fixed In Version: mcollective-2.2.3-2.el6
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-03 17:57:11 UTC
Type: ---


Attachments (Terms of Use)

Description Murray McAllister 2014-06-11 01:09:44 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, use the bodhi submission link noted
in the next comment(s).  This will include the bug IDs of this tracking
bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Murray McAllister 2014-06-11 01:09:56 UTC
Use the following update submission link to create the Bodhi request for
this issue as it contains the top-level parent bug(s) as well as this
tracking bug.  This will ensure that all associated bugs get updated when
new packages are pushed to stable.

IMPORTANT: ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1101346,1107894

Comment 2 Steve Traylen 2014-06-11 13:56:26 UTC
https://admin.fedoraproject.org/updates/hiera-1.0.0-4.el6

addresses this, unclear to me why bodhi did not update ticket.

Comment 3 Steve Traylen 2014-06-11 14:17:45 UTC
(In reply to Steve Traylen from comment #2)
> https://admin.fedoraproject.org/updates/hiera-1.0.0-4.el6
> 
> addresses this, unclear to me why bodhi did not update ticket.

Ignore comment about ticket. Confusion from me.

Comment 4 Fedora Update System 2014-06-11 14:20:46 UTC
mcollective-2.2.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mcollective-2.2.3-2.el6

Comment 5 Fedora Update System 2014-06-11 23:34:32 UTC
Package mcollective-2.2.3-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mcollective-2.2.3-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1608/mcollective-2.2.3-2.el6
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-07-03 17:57:11 UTC
mcollective-2.2.3-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.